<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
?>
<?
/*Sesiones*/
include("../conex.php");
$txtfecha=$_POST["txtfecha"];
$dia = substr ($txtfecha, 0, 2);
$mes = substr ($txtfecha, 3, 2);
$aņo = substr ($txtfecha, 6, 4);

$txtfecha1=$_POST["txtfecha"];
$dia1 = substr ($txtfecha1, 0, 2);
$mes1 = substr ($txtfecha1, 3, 2);
$aņo1 = substr ($txtfecha1, 6, 4);

$desde=$aņo."-".$mes."-01";
$hasta=$aņo1."-".$mes1."-".$dia1;

if ($mes=='01') $mes = "ENERO";
if ($mes=='02') $mes = "FEBRERO";
if ($mes=='03') $mes = "MARZO";
if ($mes=='04') $mes = "ABRIL";
if ($mes=='05') $mes = "MAYO";
if ($mes=='06') $mes = "JUNIO";
if ($mes=='07') $mes = "JULIO";
if ($mes=='08') $mes = "AGOSTO";
if ($mes=='09') $mes = "SEPTIEMBRE";
if ($mes=='10') $mes = "OCTUBRE";
if ($mes=='11') $mes = "NOVIEMBRE";
if ($mes=='12') $mes = "DICIEMBRE";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Libros CV SII</title>

<style type="text/css">
<!--
.Estilo7 {
	font-size: small;
	color: #000099;
}
.Estilo11 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: small; color: #000099; }
.Estilo13 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
	color: #000099;
	text-decoration: underline;
}
.Estilo14 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #000099;
}
-->
</style>
<link href="../hojadeestilosjc.css" rel="stylesheet" type="text/css">
</head>

<body>
<table border="0" width="100%">
	<tr>
		<td><div id="botones" style="display:block" align="center" >
         <input name="Imprimir" type="button" class="botones" value="Imprimir" onClick="imprimir_formulario();">
		</div></td>
	</tr>
	<tr>
		<td><div align="center">CONSUMOS ENVIADOS SII MES <?=$mes?> <?=$aņo?> </div></td>
	</tr>
</table>
<form id="form1" name="form1" method="post" action="">

<br>
<table width="100%" height="100%" border="1" align="center" cellspacing="0">
  <tr bgcolor="#00CCFF" class="detalle_tablas_II_negrita" style="font-size:12px">
    <th width="10%" scope="col">Fecha_consumo</th>
    <th width="10%" scope="col">Fecha_envio</th>
    <th width="10%" scope="col">Folio_inicio</th>
     <th width="10%" scope="col">Folio_final</th>
      <th width="10%" scope="col">Cantidad</th>
       <th width="10%" scope="col">TrackID</th>
        <th width="10%" scope="col">Valida_sii</th>
       
         
</tr>
<?
$cont=0;
$sql_lp = "SELECT * FROM consumo_folios where empresa=$id_empresa AND fecha_consumo<='$hasta' AND fecha_consumo>='$desde' ORDER BY fecha_consumo, fecha_envio";
$resultado = mysql_query($sql_lp,$enlace);
while (mysql_fetch_object ($resultado))
	{
		$vali = mysql_result($resultado, $cont, "valida_sii");
					$valida=$vali;  $valida ="white_ball.gif";
					
					if ($vali==1) $valida="green_ball.gif";
					if ($vali==2) $valida="red_ball.gif";
					if ($vali==3) $valida="yellow_ball.gif";
       $token = mysql_result($resultado, $cont, "trackid");
?>

	<tr bgcolor="#CBFEC2">
		<td class="Estilo14"><div align="center">
      		<strong><?=mysql_result($resultado, $cont, "fecha_consumo");?></strong>
    	</div></td>
		<td class="Estilo14"><div align="center">
            <strong><?=mysql_result($resultado, $cont, "fecha_envio");?></strong>
        </div></td>
		<td class="Estilo14"><div align="center">
            <strong><?=mysql_result($resultado, $cont, "folio_ini");?></strong>
        </div></td>
        <td class="Estilo14"><div align="center">
            <strong><?=mysql_result($resultado, $cont, "folio_fin");?></strong>
        </div></td>
        <td class="Estilo14"><div align="center">
            <strong><?=mysql_result($resultado, $cont, "folio_can");?></strong>
        </div></td>
       <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="center"><span class="Estilo1"><strong>
	            	<a  href="javascript:fun_valida('<?=$token?>');"> <?=$token?> </a>
				</strong></span></div></td>
       
		  <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="center"><span class="Estilo1"><strong> <img name="foto4" id="foto4" align="top" border="0" src="../Images/<?=$valida?>" style="cursor:pointer"  /></strong></span></div></td>
         
        
	</tr>
	<?
	$cont=$cont+1;
	}
	?>
	
	</table>
</form>
</body>
</html>
<script language="Javascript">
<!--
function imprimir_formulario(){
document.getElementById('botones').style.display = "none";
window.print();
document.getElementById('botones').style.display = "block";
};
function enviar(aux){
	document.form1.action = aux;
	document.form1.submit();
} 

function fun_valida(cual)
	{
	var token;
	token=cual;
	document.form1.action = '../LibFE/firmarDTE/ConsultaEnvioConsumo.php?documento='+token;
	document.form1.target="_blank";
	document.form1.submit();
	}	
	
	
</script>

